
Redmine - Defect #14931

SCM annotate with non ASCII author

2013-09-17 16:04 - Kęstutis Paulikas

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Toshi MARUYAMA % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version: 2.3.4   

Resolution: Fixed Affected version: 2.3.2

Description

If author field in git commit contains UTF8 symbols, Repository Annotate page crashes with the following messages in the

production.log:

Started GET "/projects/p175b304/repository/revisions/master/annotate/crash.c" for 192.168.1.10 at 

2013-09-17 01:58:02 +0300

Processing by RepositoriesController#annotate as HTML

  Parameters: {"id"=>"p175b304", "rev"=>"master", "path"=>"crash.c"}

  Current user: admin (id=1)

  Rendered repositories/_navigation.html.erb (58.6ms)

  Rendered repositories/_breadcrumbs.html.erb (4.0ms)

  Rendered repositories/_link_to_functions.html.erb (3.7ms)

  Rendered repositories/annotate.html.erb within layouts/base (91.9ms)

Completed 500 Internal Server Error in 329ms

ActionView::Template::Error (incompatible character encodings: UTF-8 and ASCII-8BIT):

    55:         <%= yield :sidebar %>

    56:         <%= view_layouts_base_sidebar_hook_response %>

    57:     </div>

    58: 

    59:     <div id="content">

    60:         <%= render_flash_messages %>

    61:         <%= yield %>

  app/views/layouts/base.html.erb:58:in `_app_views_layouts_base_html_erb___1550060124232729327_17

288283060'

 Atatched patch fixed the problem for me, but I'm not familiar with ruby/rails, so I'm not sure if it is a correct solution.

Environment:

Redmine version                2.3.2.stable

Ruby version                   1.9.3-p448 (2013-06-27) [amd64-freebsd9]

Rails version                  3.2.13

Environment                    production

Database adapter               SQLite

Redmine plugins:

no plugin installed

Associated revisions

Revision 12138 - 2013-09-18 05:36 - Toshi MARUYAMA

code format cleanup app/views/repositories/annotate.html.erb (#14931)

Revision 12139 - 2013-09-18 06:19 - Toshi MARUYAMA

fix test failure (#14931)

Revision 12140 - 2013-09-18 07:01 - Toshi MARUYAMA

use assert_select instead of assert_tag in Mercurial annotate test (#14931)

Revision 12141 - 2013-09-18 07:44 - Toshi MARUYAMA

use assert_select instead of assert_tag in Bazaar annotate test (#14931)
Revision 12142 - 2013-09-18 08:16 - Toshi MARUYAMA

scm: git: change non ASCII user name variable to instance variable (#14931)

Revision 12143 - 2013-09-18 08:16 - Toshi MARUYAMA

scm: git: use "--encoding=UTF-8" for blame (#14931)

Revision 12144 - 2013-09-18 10:09 - Toshi MARUYAMA

Merged r12139, r12140 and r12141 from trunk to 2.3-stable (#14931)

Revision 12145 - 2013-09-18 10:10 - Toshi MARUYAMA

Merged r12142 from trunk to 2.3-stable (#14931)

scm: git: change non ASCII user name variable to instance variable.

Revision 12146 - 2013-09-18 12:12 - Toshi MARUYAMA

scm: bazaar: split REPOSITORY_PATH to trunk in functional test (#14931)

Revision 12147 - 2013-09-18 12:13 - Toshi MARUYAMA

scm: bazaar: update test repository for author html escaping (#14931)

run "bzr branch --no-tree branch00 author_escaping"

add revision to this branch

Revision 12148 - 2013-09-18 12:13 - Toshi MARUYAMA

scm: bazaar: add test for author html escaping (#14931)

Revision 12149 - 2013-09-18 12:13 - Toshi MARUYAMA

scm: remove unnecessary h() from annotate author (#14931)

Rails3 escapes by default.

Revision 12150 - 2013-09-18 12:36 - Toshi MARUYAMA

use assert_select instead of assert_tag in Git non ASCII path annotate test (#14931)

Revision 12151 - 2013-09-18 13:15 - Toshi MARUYAMA

Merged r12146, r12147 and r12148 from trunk to 2.3-stable (#14931)

Revision 12152 - 2013-09-18 15:03 - Toshi MARUYAMA

Merged r12150 from trunk to 2.3-stable (#14931)

use assert_select instead of assert_tag in Git non ASCII path annotate test.

Revision 12153 - 2013-09-18 15:23 - Toshi MARUYAMA

scm: git: fix indents of non ASCII path annotate test (#14931)

Revision 12154 - 2013-09-18 15:26 - Toshi MARUYAMA

Merged r12153 from trunk to 2.3-stable (#14931)

scm: git: fix indents of non ASCII path annotate test.

Revision 12155 - 2013-09-18 16:22 - Toshi MARUYAMA

scm: bazaar: update test repository for non ASCII author (#14931)

run "bzr branch --no-tree branch00 author_non_ascii"

add revision to this branch

Revision 12156 - 2013-09-18 16:22 - Toshi MARUYAMA

scm: fix annotate error with non ASCII author on Ruby 1.9 and Ruby 2.0 (#14931)

Revision 12157 - 2013-09-18 16:37 - Toshi MARUYAMA
remove trailing white-space from test/functional/repositories_bazaar_controller_test.rb (#14931)

Revision 12158 - 2013-09-19 01:16 - Toshi MARUYAMA

Merged r12155 from trunk to 2.3-stable (#14931)

scm: bazaar: update test repository for non ASCII author.

run "bzr branch --no-tree branch00 author_non_ascii"

add revision to this branch

Revision 12159 - 2013-09-19 05:25 - Toshi MARUYAMA

Merged r12143 from trunk to 2.3-stable (#14931)

scm: git: use "--encoding=UTF-8" for blame.

Revision 12160 - 2013-09-19 05:53 - Toshi MARUYAMA

Merged r12138, r12149, r12156 and r12157 from trunk to 2.3-stable (#14931)

scm: fix annotate error with non ASCII author on Ruby 1.9 and Ruby 2.0.

History

#1 - 2013-09-18 03:51 - Toshi MARUYAMA

- Category set to SCM

#2 - 2013-09-18 04:09 - Toshi MARUYAMA

- Assignee set to Toshi MARUYAMA

- Target version set to 2.3.4

- Resolution set to Cant reproduce

#3 - 2013-09-18 04:09 - Toshi MARUYAMA

- Resolution deleted (Cant reproduce)

#4 - 2013-09-18 04:13 - Toshi MARUYAMA

This page returns 500 error.

https://www.chiliproject.org/projects/chiliproject/repository/revisions/984c9ffa2777b08bd327098c680ae2904fdfd0bd/annotate/app/models/document.r

b

#5 - 2013-09-18 04:50 - Toshi MARUYAMA

- Subject changed from Git annotate with UTF8 author to SCM annotate with non ASCII author

#6 - 2013-09-19 08:19 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Fixed

Fixed in trunk and 2.3-stable.

Files

git_adapter.rb.patch 663 Bytes 2013-09-17 Kęstutis Paulikas
